Package org.apache.qpid.proton.engine

# Enum SslDomain.Mode

java.lang.Object
java.lang.Enum<SslDomain.Mode>
org.apache.qpid.proton.engine.SslDomain.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<SslDomain.Mode>`

Enclosing interface:
  SslDomain

public static enum SslDomain.Mode extends Enum<SslDomain.Mode>
Determines whether the endpoint acts as a client or server.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLIENT`
Local connection endpoint is an SSL client
`SERVER`
Local connection endpoint is an SSL server

## Method Summary

Modifier and Type
Method
Description
`static SslDomain.Mode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SslDomain.Mode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLIENT

public static final SslDomain.Mode CLIENT
Local connection endpoint is an SSL client

### SERVER

public static final SslDomain.Mode SERVER
Local connection endpoint is an SSL server

## Method Details

### values

public static SslDomain.Mode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SslDomain.Mode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null